#include "filedisplay.h"

bool FileDisplay::init (const int width, const int height, const int imgs, unsigned int& add, const char* fname, const char* chapter)
{
  // set image counter to 0
  nImage = 0;

  // value parsing
  ValueParser vp(fname, CHAPTER "Display");
  // for ids (?)
  _ids[0] = 0;
  _ids[1] = imgs - 1;
  vp.get("ids", _ids, 2);
  // and filemask
  filemask = new char[200];
  vp.get("filemask", filemask, 200);

  return true;
}

bool FileDisplay::display (IplImage** imgs)
{
  ///< \todo: _ids[1] etc.?
  if (imgs[_ids[0]] != 0)
  {
    char filename[300];
    sprintf (filename,  filemask, nImage);
    IOUT("Writing " << filename << " ...");
    cvSaveImage(filename, imgs[_ids[0]]);
  }
  ++nImage;
  return true;
}

REGISTER(Display, FileDisplay, "dumps images to files!.");
