#ifndef _FILEDISPLAY_H_
#define _FILEDISPLAY_H_

#include "display.h"
#include "opencv/highgui.h"

using namespace Tapir;

/** Simple File Output Module.
  * Dumps Images to Files.
  * Target filenames can be specified with the parameter \b filemask,
  * which has to be a valid printf-style expression.
  * For instance, img-%05d would cause files to be saved as
  * \e img-00000.png, \e img-00001.png, and so on.
  *
  * @author Thorsten Engesser
  * @ingroup DISPLAY */
class FileDisplay : public Display
{
 public:
  FileDisplay () {};
  ~FileDisplay () {};
  bool init (const int width, const int height, const int imgs, unsigned int& add, const char* fname, const char* chapter);
  bool display (IplImage** imgs);

 protected:
  char* filemask;
  int nImage;
  int _ids[2];
};

#endif

