#ifndef _TAPIR_DISPLAY_H_
#define _TAPIR_DISPLAY_H_

#include "global.h"
#include "modules.h"

/** @defgroup DISPLAY Display Modules
  * Interface for modules that display images.
  * ImageSource modules do not receive information about the detected
  * objects, but get the entire list of image frames generated by
  * the other modules. */

namespace Tapir
{

/** Interface for modules that display images.
  * ImageSource modules do not receive information about the detected
  * objects, but get the entire list of image frames generated by
  * the other modules. */
class Display : public TapirModule
{
public:
  Display () {};
  ~Display () {};

  virtual bool display (IplImage** imgs) {return true;};
  virtual bool init (const int width, const int height, const int imgs, unsigned int& add, const char* fname, const char* chapter) {return true;};
  virtual void deinit () {};
  virtual void notify (const long int cmd, const char* params) {};
  virtual bool get_event (char cmd[3], char* params) {return false;};
};

};

#endif
