#include "pipe.h"
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include "global.h"

namespace Tapir {

bool Pipe::init (const char* name)
{
  _name = (char*)malloc(sizeof(name));
  memcpy(_name, name, sizeof(name));

  unlink(_name);
  mkfifo(_name, 0666);

  if ((_pipe=open(_name,O_RDONLY|O_NONBLOCK)) == - 1) {
    EOUT("Can't open pipe " << _name << "...");
    return false;
  }
}

bool Pipe::deinit ()
{
  close(_pipe);
  unlink(_name);
}

std::string Pipe::check (char* buf)
{
  _res = 0;

  fd_set rfds;
  struct timeval tv;

  FD_ZERO(&rfds);
  FD_SET(_pipe2cls, &rfds);
  tv.tv_sec  = 0;
  tv.tv_usec = 1;

  if (select(_pipe+1, &rfds, NULL, NULL, &tv) > 0) {
    _res = read(_pipe, &buf, sizeof(buf));
    _buf[_res] = '\0';
    sprintf(_buf,"%s","\0");
    dummy = write(_pipe, &_buf, sizeof(buf));
  }

  return _res;
}

};
