#include "confidencetracker.h"

bool ConfidenceTracker::init (const int width, const int height, const int imgs, unsigned int& add, const char* fname, const char* chapter)
{
  ValueParser vp(fname, CHAPTER "Tracker");
  vp.get("threshold", _threshold, 99);
  _canvas = cvCreateImage(cvSize(width, height), IPL_DEPTH_8U, 3);
  _imgnum = imgs;
  add = 1;
  return true;
}

void ConfidenceTracker::select (IplImage** imgs, std::vector<TapirObject>& objects)
{
  cvCopy(imgs[0], _canvas);
  imgs[_imgnum] = _canvas;
  bool add;
  for (_i=0; _i<(int)objects.size(); _i++) {
    add = objects[_i].confidence > _threshold;
    if (add) _buffer.push_back(objects[_i]);
    cvCircle(_canvas, cvPoint(objects.at(_i).x,objects.at(_i).y), 5, cvScalar(0,add?255:0,add?0:255), 5);
  }
  _buffer.swap(objects);
  _buffer.clear();
}

REGISTER(Tracker, ConfidenceTracker, "Selects objects above a certain detection confidence.");
