#ifndef _CONFIDENCE_TRACKER_H_
#define _CONFIDENCE_TRACKER_H_

#include "tracker.h"
#include <vector>

using namespace Tapir;

/** Simple tracker that selects only objects above a certain detection
  * confidence, specified by the parameter \b threshold.
  *
  * @ingroup TRACKER
  * @author Thomas Lampe */
class ConfidenceTracker : public Tracker
{
 public:
  bool init (const int width, const int height, const int imgs, unsigned int& add, const char* fname, const char* chapter);
  void select (IplImage** imgs, std::vector<TapirObject>& objects);

 protected:
  double _threshold;
  std::vector<TapirObject> _buffer;
  int _i, _imgnum;
  IplImage *_canvas;
};

#endif
